
From: Stephen Smalley <sds@epoch.ncsc.mil>

security/selinux/hooks.c: In function `selinux_inode_init_security':            security/selinux/hooks.c:1986: warning: passing arg 3 of `security_sid_to_context' from incompatible pointer type

This patch should fix the pointer type mismatch

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 security/selinux/hooks.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

diff -puN security/selinux/hooks.c~tmpfs-enable-atomic-inode-security-fix security/selinux/hooks.c
--- devel/security/selinux/hooks.c~tmpfs-enable-atomic-inode-security-fix	2005-07-16 13:49:23.000000000 -0700
+++ devel-akpm/security/selinux/hooks.c	2005-07-16 13:49:23.000000000 -0700
@@ -2031,7 +2031,7 @@ static int selinux_inode_init_security(s
 	struct inode_security_struct *dsec;
 	struct superblock_security_struct *sbsec;
 	struct inode_security_struct *isec;
-	u32 newsid;
+	u32 newsid, clen;
 	int rc;
 	char *namep = NULL, *context;
 
@@ -2066,12 +2066,13 @@ static int selinux_inode_init_security(s
 	}
 
 	if (value && len) {
-		rc = security_sid_to_context(newsid, &context, len);
+		rc = security_sid_to_context(newsid, &context, &clen);
 		if (rc) {
 			kfree(namep);
 			return rc;
 		}
 		*value = context;
+		*len = clen;
 	}
 
 	isec->security_attr_init = 1;
_
